%define upstream_name    Sub-Uplevel
%define upstream_version 0.2800

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    1

Summary:    Apparently run a function in a higher stack frame

License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org:21/pub/CPAN/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildArch:  noarch

%description 
Apparently run a function in a higher stack frame.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std
rm -f %{buildroot}%{perl_archlib}/perllocal.pod

%check
%make test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Sub
%{_mandir}/*/*

%changelog

* Fri Jun 16 2017 dsilakov <denis.silakov@rosalab.ru> 0.280.0-1
- (045a4a1) Merge pull request #1 from import/perl-Sub-Uplevel:auto_update
- (045a4a1) Updated to 0.2800 (by updates_builder)


